#bwmagicmouthred2ndexit
from eventAPI import showPicture, tickGame, setExit
from APIUtils import poseYesNo

def fireEvent(e):
    showPicture(e, "bw_teleporter")
    if (poseYesNo(e,
        ["A teleportation circle is on the floor here.",
         "Do you step in the circle and go back?"])):
        tickGame(e, 60)
        setExit(e, "maps/bwquadrant2.cfg", 17, 15, 270)
    return 0
